<?php

/**
 * @package     Sprinix_MultiTax
 * @copyright   Copyright (c) 2023 Sprinix Technolabs pvt Ltd.. (https://www.sprinix.com)
 */

/**
 * Tax totals modification block. Can be used just as subblock of \Magento\Sales\Block\Order\Totals
 */
namespace Sprinix\MultiTax\Block\Adminhtml\Sales\Order\Invoice;
use Magento\Framework\View\Element\Template\Context;
use Magento\Framework\View\Element\Template;

/**
 * Class Extrafee
 * @package Sprinix\MultiTax\Block\Adminhtml\Sales\Order\Invoice
 */
class Extrafee extends Template
{
    /**
     * order
     */
    protected $_order;
    /**
     * source
     */
    protected $_source;

    /**
     * Extrafee constructor.
     * @param Context $context
     * @param array $data
     */
    public function __construct(
        Context $context,
        array $data = []
    )
    {
        parent::__construct($context, $data);
    }

    /**
     * @return $this
     */
    public function initTotals()
    {
        $parent = $this->getParentBlock();
        $this->_order = $parent->getOrder();
        $this->_source = $parent->getSource();
        $orderData = json_decode($this->_order->getPaymentFee(), true);
        if ($orderData) {
            if (($this->_order->getInvoiceCollection()->getSize()) == null) {
                foreach ($orderData as $key => $value) {
                    $price['price'][] = $value['price'];
                    $type['type'][] = $value['type'];
                    $label['label'][] = $value['label'];
                    $fee = new \Magento\Framework\DataObject(
                        [
                            'code' => $value['label'],
                            'strong' => false,
                            'value' => $value['price'],
                            'base_value' => $value['price'],
                            'label' => $value['label'],
                        ]
                    );
                    $parent->addTotal($fee, 'fee');
                }
            }
        }
        return $this;
    }
}
