/**
 * @package     Sprinix_MultiTax
 * @copyright   Copyright (c) 2023 Sprinix Technolabs pvt Ltd.. (https://www.sprinix.com)
 */
/*jshint browser:true jquery:true*/
/*global alert*/
define(
    [
        'Magento_Checkout/js/view/summary/abstract-total',
        'Magento_Checkout/js/model/quote',
        'Magento_Catalog/js/price-utils',
        'Magento_Checkout/js/model/totals'
    ],
    function (Component, quote, priceUtils, totals) {
        "use strict";
        return Component.extend({
            defaults: {
                isFullTaxSummaryDisplayed: window.checkoutConfig.isFullTaxSummaryDisplayed || false,
                template: 'Sprinix_MultiTax/checkout/cart/totals/fee'
            },
            totals: quote.getTotals(),
            isTaxDisplayedInGrandTotal: window.checkoutConfig.includeTaxInGrandTotal || false,
            isDisplayed: function() {
                return this.isFullMode();
            },

            getValue: function() {
                var price = 0;
                let values = [];
                if (this.totals()) {
                    if (totals.getSegment('fee') != null)
                    {
                        price = totals.getSegment('fee').value;
                    } else {
                        price = (totals.getSegment('fee'));
                    }
                }
                try {
                    price.forEach(i => values.push(JSON.parse(i)));
                    return (Object.values(values));
                } catch (e) {
                    return (Object.values(price));
                }

            },
            getBaseValue: function() {
                let price = 0;
                if (this.totals()) {
                    price = this.totals().base_fee;
                }
                return priceUtils.formatPrice(price, quote.getBasePriceFormat());
            }
        });
    }
);
